<?php
class actionBooksmanagerDeleteChapter extends cmsAction {

    public function run(){

        $item_id = $this->request->get('item_id', false);
        $id = $this->request->get('id', false);

        if(!$id || !$item_id) return $this->cms_template->renderJSON(array(
            'error'   => true,
            'message' => 'Неверные параметры запроса!'
        ));

        $user = cmsUser::getInstance();
        $book_item = cmsCore::getModel('content')->getContentItem($this->options['ctype'], $item_id);

        if(!$this->allowThisBook($user, $book_item)) return $this->cms_template->renderJSON(array(
            'error'   => true,
            'message' => 'У вас нет прав на изменение данной книги!'
        ));

        $book = $this->getBookByParent($item_id);

        if(!isset($book['chapters'][$id])) return $this->cms_template->renderJSON(array(
            'error'   => true,
            'message' => 'Указанная глава не существует!'
        ));


        $this->deleteChapter($book['name'], $id);
        unset($book['chapters'][$id]);
        $this->model->update('booksmanager', $book['id'], $book);

        return $this->cms_template->renderJSON(array(
            'error'   => false,
            'content' => $this->getChaptersHtml($book)
        ));

    }

}
