<?php

class fieldBook extends cmsFormField {

    public $title       = 'Книга';
    public $sql         = 'TEXT';
    public $filter_type = 'str';
    public $allow_index = false;
    public $var_type    = 'array';

    public function getOptions(){
        return array(
            new fieldList('editor', array(
                'title' => LANG_PARSER_HTML_EDITOR,
                'default' => cmsConfig::get('default_editor'),
                'generator' => function($item){
                    $items = array();
                    $editors = cmsCore::getWysiwygs();
                    foreach($editors as $editor){ $items[$editor] = $editor; }
                    return $items;
                }
            )),
            new fieldCheckbox('is_html_filter', array(
                'title' => LANG_PARSER_HTML_FILTERING,
            )),
            new fieldCheckbox('build_redirect_link', array(
                'title' => LANG_PARSER_BUILD_REDIRECT_LINK,
                'is_visible' => cmsController::enabled('redirect')
            )),
            new fieldNumber('teaser_len', array(
                'title' => LANG_PARSER_HTML_TEASER_LEN,
                'hint' => LANG_PARSER_HTML_TEASER_LEN_HINT,
            )),
            new fieldCheckbox('in_fulltext_search', array(
                'title' => LANG_PARSER_IN_FULLTEXT_SEARCH,
                'hint'  => LANG_PARSER_IN_FULLTEXT_SEARCH_HINT,
                'default' => false
            ))
        );
    }

    public function getInput($value){
        if(!isset($this->item['id'])) return false;
        $core = cmsCore::getInstance();
        $uri = explode('/', $core->uri);
        if($uri[1] == 'add' || $uri[1] == 'edit') return false;
        cmsTemplate::getInstance()->addMainCSS('templates/default/controllers/booksmanager/styles.css');
        $this->manager = cmsCore::getController('booksmanager');
        $this->book = $this->manager->getBookByParent($this->item['id']);
        if(!is_array($this->book['chapters'])){
			$this->book['chapters'] = cmsModel::yamlToArray($this->book['chapters']);
		}
        return parent::getInput($value);
    }

    public function afterStore($item, $model, $action){
        return md5($item['id']);
    }

    public function parse($value){
        cmsTemplate::getInstance()->addMainCSS('templates/default/controllers/booksmanager/styles.css');
        $this->manager = cmsCore::getController('booksmanager');
        $this->book = $this->manager->getBookByParent($this->item['id']);
        if(!is_array($this->book['chapters'])){
            $this->book['chapters'] = cmsModel::yamlToArray($this->book['chapters']);
        }

        $field = $this;
        ob_start();
        include (PATH.'/templates/default/controllers/booksmanager/book.tpl.php');
        $html = ob_get_clean();

        return $html;
    }



}
